> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Connect Account

POST TBD/api/v2/users/basiq/connect-account

This API returns a list of merchants based on the country id and coordinates (latitude and longitude) provided in the request. Specific merchants can be found within a certain radius.

### Request Body

- `country_id` (string): The unique identifier for the country.
    
- `latitude` (float): Latitude of the user's location.
    
- `longitude` (float): Longitude of the user's location.
    
- `radius` (integer): The radius (in meters) within which to search for merchants.
    

### Response

The response is an array containing one or more merchants. Each merchant object contains the following fields:

- `merchant_id` (string): The unique identifier for the merchant.
    
- `username` (string): The username of the merchant.
    
- `company_name` (string): The company name of the merchant.
    
- `city_name` (string): The name of the city where the merchant is located.
    
- `state_name` (string): The name of the state where the merchant is located.
    
- `country_name` (string): The name of the country where the merchant is located.
    
- `currency_symbol` (string): The currency symbol used by the merchant.
    
- `billing_postcode` (string): The postal code where the merchant's bills are sent.
    
- `billing_address1` (string): The first line of the billing address for the merchant.
    
- `billing_address2` (string): The second line of the billing address for the merchant, if any.
    
- `latitude` (float): The latitude of the merchant's location.
    
- `longitude` (float): The longitude of the merchant's location.
    
- `distance` (integer): The distance in meters from the user to the merchant.
    
- `phone` (string): The phone number of the merchant.
    
- `website_url` (string): The URL of the merchant's website.
    
- `category_name` (string): The category to which the merchant belongs.
    
- `user_image` (string): The URL of the merchant's profile image.
    
- `map_image` (string): The URL of the merchant's map image.
    
- `hours` (string): The operating hours of the merchant throughout the week.
    
- `online_store` (integer): Indicates if the merchant has an online store. A value of 0 indicates no online store, and 1 indicates the presence of an online store.
    
- `advertise_only` (integer): Indicates if the merchant is only for advertisement purposes.
    
- `by_appointment` (integer): Indicates if an appointment is required to visit the merchant.
    
- `loyalty_percentage` (string): The loyalty percentage offered by the merchant.
    
- `loyalty_min_transaction` (string): The minimum transaction amount required to earn loyalty points.
    
- `support_litt_visa` (string): Indicates if the merchant supports Litt Visa. Possible values are "true" or "false".
    
- `time_zone` (object): The time zone of the merchant location.
    
- `blocked` (integer): Indicates if the merchant is blocked or not.
    
- `user_cashback_total` (string): Total amount of cashback the user has earned from this merchant.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/digital-wallet/connect-account

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Get Merchant List

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2UsersBasiqConnectAccountPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2UsersBasiqConnectAccountPostResponsesContentApplicationJsonSchemaData

- `merchants` (list of ApiV2UsersBasiqConnectAccountPostResponsesContentApplicationJsonSchemaDataMerchantsItems, optional)
- `categories` (list of string, optional)

### ApiV2UsersBasiqConnectAccountPostResponsesContentApplicationJsonSchemaDataMerchantsItems

- `merchant_id` (string, optional)
- `username` (string, optional)
- `company_name` (string, optional)
- `city_name` (string, optional)
- `state_name` (string, optional)
- `state_code` (string, optional)
- `country_name` (string, optional)
- `currency_symbol` (string, optional)
- `billing_postcode` (string, optional)
- `billing_address1` (string, optional)
- `billing_address2` (string, optional)
- `latitude` (double, optional)
- `longitude` (double, optional)
- `distance` (integer, optional)
- `phone` (string, optional)
- `website_url` (string, optional)
- `category_name` (string, optional)
- `user_image` (string, optional)
- `map_image` (any, optional, nullable)
- `hours` (string, optional)
- `online_store` (integer, optional)
- `advertise_only` (integer, optional)
- `by_appointment` (integer, optional)
- `loyalty_percentage` (string, optional)
- `loyalty_min_transaction` (string, optional)
- `loyalty_max_cashback` (string, optional)
- `support_litt_visa` (string, optional)
- `support_qr_code` (string, optional)
- `support_check_in` (string, optional)
- `check_in_template` (any, optional, nullable)
- `time_zone` (ApiV2UsersBasiqConnectAccountPostResponsesContentApplicationJsonSchemaDataMerchantsItemsTimeZone, optional)
- `blocked` (integer, optional)
- `user_cashback_total` (string, optional)

### ApiV2UsersBasiqConnectAccountPostResponsesContentApplicationJsonSchemaDataMerchantsItemsTimeZone

- `timezone` (string, optional)
- `offset` (integer, optional)

## Examples

**Response**

```json
{
  "message": "Successfully retrieved merchants.",
  "api": "merchantList",
  "status": "success",
  "data": {
    "merchants": [
      {
        "merchant_id": "6c64ceee-a19e-476b-bc61-5c54afae4893",
        "username": "tmcity",
        "company_name": "Tango Mart City Store",
        "city_name": "Perth",
        "state_name": "Western Australia",
        "state_code": "WA",
        "country_name": "Australia",
        "currency_symbol": "A$",
        "billing_postcode": "6000",
        "billing_address1": "200 Murray Street",
        "billing_address2": "",
        "latitude": -31.9526171,
        "longitude": 115.8599771,
        "distance": 1348,
        "phone": "",
        "website_url": "",
        "category_name": "Grocery Stores",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/image/79d9acd7-46aa-422a-a360-a0e1ff69c2d6.jpg",
        "map_image": null,
        "hours": "{\"Monday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Tuesday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Wednesday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Thursday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Friday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Saturday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Sunday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"}}",
        "online_store": 0,
        "advertise_only": 0,
        "by_appointment": 0,
        "loyalty_percentage": "0.00",
        "loyalty_min_transaction": "0.00",
        "loyalty_max_cashback": "0.00",
        "support_litt_visa": "true",
        "support_qr_code": "false",
        "support_check_in": "false",
        "check_in_template": null,
        "time_zone": {
          "timezone": "Australia/Perth",
          "offset": 28800
        },
        "blocked": 0,
        "user_cashback_total": "0.00"
      },
      {
        "merchant_id": "db4f91e0-cac9-47c2-88a1-6c4eb19e47ec",
        "username": "tangomartnedlands",
        "company_name": "Tango Mart Nedlands",
        "city_name": "Nedlands",
        "state_name": "Western Australia",
        "state_code": "WA",
        "country_name": "Australia",
        "currency_symbol": "A$",
        "billing_postcode": "6009",
        "billing_address1": "152 Stirling Highway",
        "billing_address2": "",
        "latitude": -31.979952,
        "longitude": 115.8035118,
        "distance": 5180,
        "phone": "",
        "website_url": "",
        "category_name": "Grocery Stores",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/image/1adb655-3161-4b47-8cc1-d5fb6537194.jpg",
        "map_image": null,
        "hours": "{\"Monday\":{\"startTime\":\"07:00\",\"endTime\":\"20:00\"},\"Tuesday\":{\"startTime\":\"07:00\",\"endTime\":\"20:00\"},\"Wednesday\":{\"startTime\":\"07:00\",\"endTime\":\"20:00\"},\"Thursday\":{\"startTime\":\"07:00\",\"endTime\":\"20:00\"},\"Friday\":{\"startTime\":\"07:00\",\"endTime\":\"20:00\"},\"Saturday\":{\"startTime\":\"07:00\",\"endTime\":\"20:00\"},\"Sunday\":\"closed\"}",
        "online_store": 0,
        "advertise_only": 0,
        "by_appointment": 0,
        "loyalty_percentage": "0.00",
        "loyalty_min_transaction": "0.00",
        "loyalty_max_cashback": "0.00",
        "support_litt_visa": "true",
        "support_qr_code": "false",
        "support_check_in": "false",
        "check_in_template": null,
        "time_zone": {
          "timezone": "Australia/Perth",
          "offset": 28800
        },
        "blocked": 0,
        "user_cashback_total": "0.00"
      },
      {
        "merchant_id": "d82eaa2-ed9d-48f2-b4cf-9cdb522fa3ce",
        "username": "tmvictoriapark",
        "company_name": "Tango Mart Victoria Park",
        "city_name": "East Victoria Park",
        "state_name": "Western Australia",
        "state_code": "WA",
        "country_name": "Australia",
        "currency_symbol": "A$",
        "billing_postcode": "6101",
        "billing_address1": "366 Albany Highway",
        "billing_address2": "",
        "latitude": -31.9736461,
        "longitude": 115.8977366,
        "distance": 5530,
        "phone": "",
        "website_url": "",
        "category_name": "Grocery Stores",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/image/57c3ac30-8127-4aad-bf69-95efe03c985c.jpg",
        "map_image": null,
        "hours": "{\"Monday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Tuesday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Wednesday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Thursday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Friday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Saturday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"},\"Sunday\":{\"startTime\":\"05:00\",\"endTime\":\"23:00\"}}",
        "online_store": 0,
        "advertise_only": 0,
        "by_appointment": 0,
        "loyalty_percentage": "0.00",
        "loyalty_min_transaction": "0.00",
        "loyalty_max_cashback": "0.00",
        "support_litt_visa": "true",
        "support_qr_code": "false",
        "support_check_in": "false",
        "check_in_template": null,
        "time_zone": {
          "timezone": "Australia/Perth",
          "offset": 28800
        },
        "blocked": 0,
        "user_cashback_total": "0.00"
      },
      {
        "merchant_id": "8909cba4-a201-47f7-8744-b98fff7f391d",
        "username": "thewembley",
        "company_name": "the wembley",
        "city_name": "Wembley",
        "state_name": "Western Australia",
        "state_code": "WA",
        "country_name": "Australia",
        "currency_symbol": "A$",
        "billing_postcode": "6014",
        "billing_address1": "344 Cambridge Street",
        "billing_address2": "",
        "latitude": -31.9406445,
        "longitude": 115.8098862,
        "distance": 3569,
        "phone": "",
        "website_url": "https://thewembleyhotel.com.au/",
        "category_name": "Bars & Restaurants",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/image/94b9938e-1cd8-4323-a088-32bae067eebd.jpg",
        "map_image": null,
        "hours": "{\"Monday\":{\"startTime\":\"11:00\",\"endTime\":\"00:00\"},\"Tuesday\":{\"startTime\":\"11:00\",\"endTime\":\"00:00\"},\"Wednesday\":{\"startTime\":\"11:00\",\"endTime\":\"00:00\"},\"Thursday\":{\"startTime\":\"11:00\",\"endTime\":\"00:00\"},\"Friday\":{\"startTime\":\"11:00\",\"endTime\":\"00:00\"},\"Saturday\":{\"startTime\":\"11:00\",\"endTime\":\"00:00\"},\"Sunday\":{\"startTime\":\"11:00\",\"endTime\":\"00:00\"}}",
        "online_store": 0,
        "advertise_only": 0,
        "by_appointment": 0,
        "loyalty_percentage": "0.00",
        "loyalty_min_transaction": "0.00",
        "loyalty_max_cashback": "0.00",
        "support_litt_visa": "false",
        "support_qr_code": "false",
        "support_check_in": "false",
        "check_in_template": null,
        "time_zone": {
          "timezone": "Australia/Perth",
          "offset": 28800
        },
        "blocked": 0,
        "user_cashback_total": "0.00"
      }
    ],
    "categories": [
      "All categories",
      "Bars & Restaurants",
      "Grocery Stores"
    ]
  }
}
```

**SDK Code**

```python Digital Wallet_connectAccount_example
import requests

url = "https://tbd/api/v2/users/basiq/connect-account"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript Digital Wallet_connectAccount_example
const url = 'https://tbd/api/v2/users/basiq/connect-account?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Digital Wallet_connectAccount_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/users/basiq/connect-account?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Digital Wallet_connectAccount_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/users/basiq/connect-account?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Digital Wallet_connectAccount_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/users/basiq/connect-account?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php Digital Wallet_connectAccount_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/users/basiq/connect-account?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp Digital Wallet_connectAccount_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/users/basiq/connect-account?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Digital Wallet_connectAccount_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/users/basiq/connect-account?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```